#pragma once

class Object {
public:
  enum Type { OBJECT, BODY, MODELBODY, DYNAMICBODY, SHIP, PLAYER, SPACESTATION, LASER, GEOM, PLANET, STAR };
  virtual Type GetType(void) { return OBJECT; }
  virtual bool IsType(Type c) { return GetType() == c; }
};

#define OBJDEF(__thisClass, __parentClass, __TYPE) \
  virtual Object::Type GetType(void) { return Object::__TYPE; } \
  virtual bool IsType(Type c) { \
    if(__thisClass::GetType() == (c)) return true; \
    else return __parentClass::IsType(c); \
  }

