#pragma once
#include "libs.h"
#include "gui.h"

class Body;

class ShipCpanel : public Gui::Fixed {
public:
  ShipCpanel(void);
  virtual void Draw(void);
  void SetScannerWidget(Widget* w); /* Must be done each frame. */
  void SetTemporaryMessage(Body* const sender, std::string msg);
private:
  void OnChangeCamView(Gui::MultiStateImageButton* b);
  void OnChangeMapView(Gui::MultiStateImageButton* b);
  void OnChangeInfoView(Gui::MultiStateImageButton* b);
  void OnClickTimeaccel(Gui::ISelectable* i, double step);
  void OnClickComms(Gui::MultiStateImageButton* b);

  Widget* m_scannerWidget;
  Gui::Label* m_clock;

  Gui::Label* tempMsg;
  float tempMsgAge;
};

